edu.northwestern.at.morphadorner.corpuslinguistics.inputter

## Class GapFixer

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.inputter.GapFixer

-     public class GapFixer
      extends java.lang.Object

  Adds displayable content for certain gap elements in XML file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GapFixer.GapProcessor` JDOM element processor which fixes elements.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static char` | `letterGapChar` Letter gap marker is Unicode lozenge = ?.
    `protected static java.lang.String` | `letterGapString`
    `protected static char` | `spanGapChar` Span gap marker is Unicode three dots = ….
    `protected static java.lang.String` | `spanGapString`
    `protected static char` | `wordGapChar` Word gap marker is Unicode lozenge = ?.
    `protected static java.lang.String` | `wordGapString`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GapFixer()` Allow overrides but no instantiation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fixGaps(org.jdom2.Document document)` Fix some gap elements in a DOM document.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### letterGapChar

          protected static final char letterGapChar

      Letter gap marker is Unicode lozenge = ?.
      See Also:
        Constant Field Values

    - #### letterGapString

          protected static final java.lang.String letterGapString

      See Also:
        Constant Field Values

    - #### wordGapChar

          protected static final char wordGapChar

      Word gap marker is Unicode lozenge = ?.
      See Also:
        Constant Field Values

    - #### wordGapString

          protected static final java.lang.String wordGapString

      See Also:
        Constant Field Values

    - #### spanGapChar

          protected static final char spanGapChar

      Span gap marker is Unicode three dots = ….
      See Also:
        Constant Field Values

    - #### spanGapString

          protected static final java.lang.String spanGapString

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GapFixer

          protected GapFixer()

      Allow overrides but no instantiation.

  - ### Method Detail

    - #### fixGaps

          public static void fixGaps(org.jdom2.Document document)

      Fix some gap elements in a DOM document.
      Parameters:
        `document` - Document containing gaps to fix.